Skip navigation links

Oracle® Database XML Java API Reference 11g Release 2 (11.2) E10769-01

## oracle.xml.binxml
Class BinXMLVocabId

`java.lang.Object
oracle.xml.binxml.BinXMLVocabId`

      public class BinXMLVocabId

extends java.lang.Object

This class is used to represent the vocabulary Id associated with each dtd or schema document as per the CSX RFC.

Constructor Summary
`BinXMLVocabId()`

Method Summary
`void` `setVocabID(byte[] id)` This method sets the vocabulary Id for the class.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BinXMLVocabId

    public BinXMLVocabId()

Method Detail

### setVocabID

    public void setVocabID(byte[] id)

  This method sets the vocabulary Id for the class.
  Parameters:
    `Vocabulary` - Id

Skip navigation links

Oracle® Database XML Java API Reference 11g Release 2 (11.2) E10769-01

Copyright © 2003, 2009, Oracle and/or its affiliates. All rights reserved.